Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235497 - add_to_rules: unknown key 'ATTRS{idVendor}'
Summary: add_to_rules: unknown key 'ATTRS{idVendor}'
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-06 10:42 UTC by Martin West
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 13:36:45 UTC


Attachments (Terms of Use)

Description Martin West 2007-04-06 10:42:44 UTC
Description of problem:

After a recent update these errors have been appearing at boot time ...

/var/log/messages:Apr  3 19:42:50 lenovo1 udevd[487]: add_to_rules: unknown key
'ATTRS{idVendor}'
/var/log/messages:Apr  3 19:42:50 lenovo1 udevd[487]: add_to_rules: unknown key
'ATTRS{idProduct}'
/var/log/messages:Apr  3 19:42:50 lenovo1 udevd[487]: add_to_rules: unknown key
'ATTRS{idVendor}'
/var/log/messages:Apr  3 19:42:50 lenovo1 udevd[487]: add_to_rules: unknown key
'ATTRS{idProduct}'
/var/log/messages:Apr  3 19:42:50 lenovo1 udevd[487]: add_to_rules: unknown key
'ATTRS{idVendor}'
...
Version-Release number of selected component (if applicable):

udev.i386                                095-17.fc6             installed

Linux lenovo1.thecla.com 2.6.20-1.2933.fc6 #1 SMP

How reproducible:

Install latest version of udev on a lenovo N100

Steps to Reproduce:
1.
  
Actual results:

see above

Expected results:

??
Additional info:

Comment 1 P Jones 2007-04-08 14:41:38 UTC
I'm getting a udevd[427] on an HPD530S (not with F7T3, for what that's worth).

Comment 2 Harald Hoyer 2007-04-10 08:34:09 UTC
Please provide the output of:
$ fgrep -rl 'ATTRS{idVendor}' /etc/udev/rules.d
and
$ rpm -qf $(fgrep -rl 'ATTRS{idVendor}' /etc/udev/rules.d)

Comment 3 P Jones 2007-04-10 12:03:59 UTC
This is from my laptop;

[root@pc-00246 ~]# fgrep -rl 'ATTRS{idVendor}' /etc/udev/rules.d
/etc/udev/rules.d/kino.rules
[root@pc-00246 ~]# rpm -qf $(fgrep -rl 'ATTRS{idVendor}' /etc/udev/rules.d)
kino-1.0.0-1.fc6

I get the same results on the D530S. I'm using Kino from FreshRPMS. On the F7T3
machines I have Kino installed but from Livna Devel.

Not a Fedora problem I guess?

Comment 4 Harald Hoyer 2007-04-10 13:36:45 UTC
yes... bug kino

Comment 5 Martin West 2007-04-10 17:48:03 UTC
K, beat me to it.  Thanks


Note You need to log in before you can comment on or make changes to this bug.